aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--jjb/ci-AGL-verify/ci-platform-jjb.yaml9
-rw-r--r--jjb/common/include-agl-header.sh7
-rw-r--r--jjb/common/include-agl-lava-jobs-submit.sh3
-rw-r--r--jjb/common/include-agl-run-test-prepare.sh1
-rw-r--r--jjb/common/include-agl-run-test-short-icefish.sh45
-rw-r--r--jjb/common/include-apps-fetch-install-sdk.sh4
-rw-r--r--jjb/pre-fetch/include-prefetch.sh6
-rw-r--r--jjb/release-jjb-icefish-snapshot/include-release-jjb-icefish-snapshot-rsync.sh57
-rw-r--r--jjb/release-jjb-icefish-snapshot/release-jjb-icefish-snapshot.yaml126
9 files changed, 257 insertions, 1 deletions
diff --git a/jjb/ci-AGL-verify/ci-platform-jjb.yaml b/jjb/ci-AGL-verify/ci-platform-jjb.yaml
index da82e88e..75fa2d9a 100644
--- a/jjb/ci-AGL-verify/ci-platform-jjb.yaml
+++ b/jjb/ci-AGL-verify/ci-platform-jjb.yaml
@@ -6,6 +6,7 @@
- intel-corei7-64
- dra7xx-evm
- m3ulcb-nogfx
+ - h3ulcb-nogfx
- qemux86-64
- qemuarm
- qemuarm64
@@ -128,6 +129,10 @@
current-parameters: true
#abort-all-job: true
kill-phase-on: FAILURE
+ - name: 'ci-platform-{project}-verify-CIB-h3ulcb-nogfx'
+ current-parameters: true
+ #abort-all-job: true
+ kill-phase-on: FAILURE
- multijob:
name: CIB-{project}-finish-success
condition: SUCCESSFUL
@@ -184,6 +189,10 @@
current-parameters: true
#abort-all-job: true
kill-phase-on: NEVER
+ - name: 'ci-platform-{project}-verify-CIBT-h3ulcb-nogfx'
+ current-parameters: true
+ #abort-all-job: true
+ kill-phase-on: NEVER
- multijob:
name: 'CIBT-{project}-complete'
condition: ALWAYS
diff --git a/jjb/common/include-agl-header.sh b/jjb/common/include-agl-header.sh
index 091f9dd8..2dbf9269 100644
--- a/jjb/common/include-agl-header.sh
+++ b/jjb/common/include-agl-header.sh
@@ -151,6 +151,13 @@ if test x"m3ulcb-nogfx" = x"$MACHINE"; then
export TARGETMACHINE="m3ulcb"
export TARGETSDKIMAGE="agl-image-ivi-crosssdk"
fi
+# h3ulcb-nogfx means no graphic drivers
+if test x"h3ulcb-nogfx" = x"$MACHINE"; then
+ export TARGETIMAGE=${TARGETIMAGEnogfx}
+ export TARGETFEATURES="${TARGETFEATURESnogfx}"
+ export TARGETMACHINE="h3ulcb"
+ export TARGETSDKIMAGE="agl-image-ivi-crosssdk"
+fi
#if $DEBUG; then
set | grep ^TARGET || true
diff --git a/jjb/common/include-agl-lava-jobs-submit.sh b/jjb/common/include-agl-lava-jobs-submit.sh
index 9b876bf4..ebc5c1a9 100644
--- a/jjb/common/include-agl-lava-jobs-submit.sh
+++ b/jjb/common/include-agl-lava-jobs-submit.sh
@@ -71,6 +71,9 @@ echo "#### End: Output from LAVA job $job_id ####"
echo "####"
handle_skiplist() {
+ if [ -z "${GERRIT_HOST}" ]; then
+ export GERRIT_HOST="gerrit.automotivelinux.org"
+ fi
SKIPLIST=skiplist
# detect job type (apps vs non-apps) and get skiplist
if [ ! -z "$(echo $JOB_NAME | grep 'ci-platform')" ];then
diff --git a/jjb/common/include-agl-run-test-prepare.sh b/jjb/common/include-agl-run-test-prepare.sh
index 1e453832..33970672 100644
--- a/jjb/common/include-agl-run-test-prepare.sh
+++ b/jjb/common/include-agl-run-test-prepare.sh
@@ -27,6 +27,7 @@ agl_lava_releng_aliases=(
[qemuarm]="qemu;qemuarm"
[qemuarm64]="qemu;qemuarm64"
[m3ulcb-nogfx]="r8a7796-m3ulcb;m3ulcb"
+ [h3ulcb-nogfx]="r8a7795-h3ulcb-kf;h3ulcb-kf"
[porter-nogfx]="renesas-porter;porter"
[dra7xx-evm]="dra7-evm;dra7xx-evm"
[intel-corei7-64]="upsquare;upsquare"
diff --git a/jjb/common/include-agl-run-test-short-icefish.sh b/jjb/common/include-agl-run-test-short-icefish.sh
new file mode 100644
index 00000000..91f0a57f
--- /dev/null
+++ b/jjb/common/include-agl-run-test-short-icefish.sh
@@ -0,0 +1,45 @@
+# (c) 2016 Jan-Simon Moeller dl9pf(at)gmx.de
+# License GPLv2
+
+################################################################################
+## Run SHORT CI test
+################################################################################
+
+#set -x
+
+UPLOAD_URL_BASE=http://download.automotivelinux.org/AGL/upload/ci
+UPLOAD_URL=${UPLOAD_URL_BASE}/${RELEASE_BRANCH}/${RELEASE_VERSION}/${MACHINE}/deploy/images/${TARGETMACHINE}
+
+cd $REPODIR
+
+wget -q ${UPLOAD_URL}/build-info || echo "ERROR: fail to download ${UPLOAD_URL}/build-info"
+if [ -e build-info ]; then
+ cat build-info
+ source build-info
+fi
+
+echo "# LAVA lab target: ${LAVA_LAB} #"
+# releng-scripts depends on jinja2 >= 2.9
+echo "## Check version of python-jinja2: "
+pip show jinja2
+CREATE_ARGS=""
+CREATE_ARGS+="--machine ${releng_device} "
+CREATE_ARGS+="--build-type release "
+#[[ ! -z $RELEASE_BRANCH ]] && CREATE_ARGS+="--branch $RELEASE_BRANCH "
+#[[ ! -z $RELEASE_VERSION ]] && CREATE_ARGS+="--version $RELEASE_VERSION "
+CREATE_ARGS+="--url https://download.automotivelinux.org/AGL/upload/ci/${RELEASE_BRANCH}/${RELEASE_VERSION}/${MACHINE}/deploy/images/${TARGETMACHINE}/ "
+CREATE_ARGS+="--name AGL-gerrit-$DIST_BB_AGL_BRANCH-$DIST_BB_AGLVERSION "
+[[ ! -z $DIST_BB_DISTRO_VERSION ]] && CREATE_ARGS+="--build-version $DIST_BB_DISTRO_VERSION "
+[[ ! -z $DIST_BUILD_HASH ]] && CREATE_ARGS+="--commit $DIST_BUILD_HASH "
+[[ ! -z $DIST_BUILD_ID ]] && CREATE_ARGS+="--build-id $DIST_BUILD_ID "
+[[ ! -z $DIST_BB_AGL_BRANCH ]] && CREATE_ARGS+="--branch $DIST_BB_AGL_BRANCH "
+[[ ! -z $DIST_BB_AGLVERSION ]] && CREATE_ARGS+="--version $DIST_BB_AGLVERSION "
+CREATE_ARGS+="--callback-from ${LAVA_LAB} "
+$RELENG/utils/create-jobs.py ${CREATE_ARGS} > testjob.yaml
+
+if [ $? != 0 ]; then
+ echo "ERROR: Machine ${releng_device}: LAVA job creation failed."
+ exit 0
+else
+ cat testjob.yaml
+fi
diff --git a/jjb/common/include-apps-fetch-install-sdk.sh b/jjb/common/include-apps-fetch-install-sdk.sh
index 10a61e66..5bcd4611 100644
--- a/jjb/common/include-apps-fetch-install-sdk.sh
+++ b/jjb/common/include-apps-fetch-install-sdk.sh
@@ -28,6 +28,10 @@ SDKBASEURL="http://mirror.automotivelinux.org/AGL/release/${AGLBRANCH}/latest/${
if test x"master" = x"$AGLBRANCH" ; then
SDKBASEURL="http://mirror.automotivelinux.org/AGL/snapshots/master/latest/${TARGETSDKMACHINE}/deploy/sdk/"
fi
+if test x"halibut" = x"$AGLBRANCH" ; then
+ SDKBASEURL="http://mirror.automotivelinux.org/AGL/snapshots/halibut/latest/${TARGETSDKMACHINE}/deploy/sdk/"
+fi
+
# special case for dab
if test x"dab" = x"$AGLBRANCH" ; then
if test x"qemuarm64" = x"$TARGETSDKMACHINE"; then
diff --git a/jjb/pre-fetch/include-prefetch.sh b/jjb/pre-fetch/include-prefetch.sh
index 2fae6d31..bf47c0a7 100644
--- a/jjb/pre-fetch/include-prefetch.sh
+++ b/jjb/pre-fetch/include-prefetch.sh
@@ -3,7 +3,7 @@
#set -x
set +e
#
-export BOARDS="qemux86-64 raspberrypi3 intel-corei7-64 m3ulcb-nogfx dra7xx-evm qemuarm qemuarm64"
+export BOARDS="qemux86-64 raspberrypi3 intel-corei7-64 h3ulcb-nogfx m3ulcb-nogfx dra7xx-evm qemuarm qemuarm64"
# check: dra7xx-evm dragonboard-410c wandboard
export FEATURES="agl-demo agl-devel agl-audio-4a-framework agl-netboot"
export FEATURES_nogfx="agl-netboot agl-devel"
@@ -35,6 +35,10 @@ for i in $BOARDS ; do
FEATURES="${FEATURES_nogfx}"
TARGETIMAGE="${TARGETIMAGE_nogfx}"
fi
+ if test x"h3ulcb-nogfx" = x"$i" ; then
+ FEATURES="${FEATURES_nogfx}"
+ TARGETIMAGE="${TARGETIMAGE_nogfx}"
+ fi
source meta-agl/scripts/aglsetup.sh -m ${i} -b build-${i} ${FEATURES}
ln -sf ../../mirror downloads
ln -sf ../../sstate sstate-cache
diff --git a/jjb/release-jjb-icefish-snapshot/include-release-jjb-icefish-snapshot-rsync.sh b/jjb/release-jjb-icefish-snapshot/include-release-jjb-icefish-snapshot-rsync.sh
new file mode 100644
index 00000000..9be7c6f8
--- /dev/null
+++ b/jjb/release-jjb-icefish-snapshot/include-release-jjb-icefish-snapshot-rsync.sh
@@ -0,0 +1,57 @@
+#!/bin/bash
+
+#set -x
+set -e
+echo "#######################################"
+echo "#######################################"
+ls -alh
+echo "#######################################"
+echo "#######################################"
+tree -L 2
+echo "#######################################"
+echo "#######################################"
+set | grep MACHINE
+echo "#######################################"
+echo "#######################################"
+set
+echo "#######################################"
+echo "#######################################"
+
+cd repoclone/output
+
+export REMOTEDST="/srv/download/AGL/upload/ci/${RELEASE_BRANCH}/${RELEASE_VERSION}/${MACHINE}/"
+export RSYNCDST="jenkins-slave@10.30.72.8:${REMOTEDST}"
+export RSYNCSRC=$(pwd)/UPLOAD/${MACHINE}
+
+# construct upload folder
+mv UPLOAD UPLOAD2 || true
+rm -rf UPLOAD2 || true
+mkdir -p UPLOAD/${MACHINE}
+export DEST=$(pwd)/UPLOAD/${MACHINE}
+
+# save space ... remove the rpms
+rm -rf tmp/deploy/rpm || true
+
+rsync -avr --progress --delete tmp/deploy $DEST/
+rsync -avr --progress --delete tmp/log $DEST/
+
+cp ../../current_default.xml $DEST/${MACHINE}_repo_default.xml
+cp conf/local.conf $DEST/local.conf
+cp conf/auto.conf $DEST/auto.conf
+echo "$BUILD_URL" > $DEST/jenkins.build.url
+
+tree $DEST
+
+ls -alhR $DEST
+
+
+
+echo "would do rsync -avr -e \"ssh -o StrictHostKeyChecking=no\" $RSYNCSRC $RSYNCDST "
+
+if test x"yes" = x"$UPLOAD" ; then
+ ssh -o StrictHostKeyChecking=no jenkins-slave@10.30.72.8 rm -rf ${REMOTEDST}
+ ssh -o StrictHostKeyChecking=no jenkins-slave@10.30.72.8 mkdir -p ${REMOTEDST}
+ rsync --delete -avr -e "ssh -o StrictHostKeyChecking=no" $RSYNCSRC/* $RSYNCDST
+fi
+
+exit 0 \ No newline at end of file
diff --git a/jjb/release-jjb-icefish-snapshot/release-jjb-icefish-snapshot.yaml b/jjb/release-jjb-icefish-snapshot/release-jjb-icefish-snapshot.yaml
new file mode 100644
index 00000000..3c4c4e4b
--- /dev/null
+++ b/jjb/release-jjb-icefish-snapshot/release-jjb-icefish-snapshot.yaml
@@ -0,0 +1,126 @@
+---
+- project:
+ name: release-jjb-icefish-snapshot
+ jobs:
+ - release-jjb-icefish-snapshot
+
+- job-template:
+ name: 'release-jjb-icefish-snapshot'
+ project-type: matrix
+ concurrent: false
+ node: control-slave
+
+ parameters:
+ - string:
+ name: GERRIT_PROJECT
+ default: AGL/AGL-repo
+ description: "Project to build"
+ - string:
+ name: GERRIT_BRANCH
+ default: master
+ description: "branch to build"
+ - string:
+ name: GERRIT_REFSPEC
+ default: refs/tags/icefish_8.99.1
+ description: "refspec to build"
+ - string:
+ name: RELEASE_VERSION
+ default: 8.99.1
+ description: "release version number for build"
+ - string:
+ name: RELEASE_BRANCH
+ default: icefish
+ description: "release branch to build"
+ - string:
+ name: UPLOAD
+ default: yes_or_no
+ description: "Upload?"
+ - string:
+ name: BUILDONLY
+ default: ignore
+ description: "build only specified machine"
+ - string:
+ name: DISABLE_SSTATE_MIRROR
+ default: ignore
+ description: "Set to YES to disable sstate-mirror"
+ axes:
+ - axis:
+ type: user-defined
+ name: MACHINE
+ values:
+ - qemux86-64
+ - qemuarm
+ - qemuarm64
+ - intel-corei7-64
+ - raspberrypi3
+ - raspberrypi4
+ - m3ulcb-nogfx
+ - h3ulcb-nogfx
+ # for aarch64
+ - axis:
+ type: slave
+ name: label
+ values:
+ - agl-test-slave
+
+ build-discarder:
+ days-to-keep: 30
+ num-to-keep: 40
+ artifact-days-to-keep: -1
+ artifact-num-to-keep: 5
+
+ triggers:
+ - gerrit-trigger-patch-submitted-silent:
+ name: 'AGL/AGL-repo'
+ branch: 'regs/tags/icefish/**'
+
+ wrappers:
+ - agl-infra-wrappers:
+ build-timeout: '{build-timeout}'
+ - credentials-binding:
+ - username-password-separated:
+ credential-id: agl_main_lava_instance
+ username: AGLLAVAUSER
+ password: AGLLAVATOKEN
+ - username-password-separated:
+ credential-id: agl_main_lava_instance
+ username: LAB_AGL_USER
+ password: LAB_AGL_TOKEN
+ - username-password-separated:
+ credential-id: lab_baylibre_lava_instance
+ username: LAB_BAYLIBRE_USER
+ password: LAB_BAYLIBRE_TOKEN
+ - username-password-separated:
+ credential-id: lab_baylibre_seattle_lava_instance
+ username: LAB_BAYLIBRE_SEATTLE_USER
+ password: LAB_BAYLIBRE_SEATTLE_TOKEN
+
+ builders:
+ - shell:
+ !include-raw-escape:
+ - ../common/include-agl-header.sh
+ - ../common/include-agl-repo.sh
+ - ../common/include-agl-select.sh
+ - ../common/include-agl-export-eula.sh
+ - ../common/include-agl-source-aglsetup.sh
+ - ../common/include-agl-auto-conf.sh
+ - ../common/include-agl-limit-parallelism.sh
+ - ../common/include-agl-cat-auto-conf.sh
+ - ../common/include-agl-local-conf-archiver.sh
+ #- ../common/include-agl-local-conf-isafw.sh
+ - ../common/include-agl-local-conf-include-ptest.sh
+ - ../common/include-agl-local-conf-DISTROFEATURES-AGLCI.sh
+ - ../common/include-agl-local-conf-vmdk.sh
+ - ../common/include-agl-local-conf-rpi3-imagetype.sh
+ #- ../common/include-agl-bitbake-image.sh
+ - ../common/include-agl-bitbake-sdk.sh
+ - shell:
+ !include-raw-escape: include-release-jjb-icefish-snapshot-rsync.sh
+ - shell:
+ !include-raw-escape:
+ - ../common/include-agl-header.sh
+ - ../common/include-agl-run-test-prepare.sh
+ #- ../common/include-agl-run-test-rsync-release.sh
+ - ../common/include-agl-lava-labs-prepare.sh
+ - ../common/include-agl-run-test-short-icefish.sh
+ - ../common/include-agl-lava-jobs-submit-only.sh